<?php
/**
 * SystemEmpresa Active Record
 * @author  <your-name-here>
 */
class SysEmpresa extends TRecord
{
    const TABLENAME = 'sys_empresa';
    const PRIMARYKEY= 'id';
    const IDPOLICY =  'serial';

    public function __construct($id = NULL, $callObjectLoad = TRUE)
    {
        parent::__construct($id, $callObjectLoad);
        parent::addAttribute('nome');
        parent::addAttribute('sigla');
        parent::addAttribute('logonav');
        parent::addAttribute('logorep');
        parent::addAttribute('skin');
        parent::addAttribute('ativa');
        parent::addAttribute('multiempresas');
        parent::addAttribute('maxempresas');
        parent::addAttribute('site');
        parent::addAttribute('contato');
        parent::addAttribute('telefone');
        parent::addAttribute('email');
        parent::addAttribute('obs');
    }
}
